import sys
import random

currentTest = 0

def printTest(n, shakes):
  global currentTest
  currentTest += 1
  print('Generating test #', currentTest)

  FOUT = open("../tests/%02d" % currentTest, 'w');
  FOUT.write(str(n) + '\n')
  FOUT.write(' '.join(shakes) + '\n')
  FOUT.close()

def main():
#tests from statement
  printTest(2, [str(0), str(1)])
  printTest(5, [str(0), str(0), str(1), str(1), str(1)])
#manual tests
  printTest(1, [str(0)])
  printTest(2, [str(0), str(0)])
  printTest(3, [str(0), str(0), str(0)])
  printTest(3, [str(0), str(0), str(1)])
  printTest(3, [str(0), str(1), str(0)])
  printTest(3, [str(0), str(1), str(1)])
  printTest(3, [str(0), str(0), str(2)])
  printTest(3, [str(0), str(1), str(2)])
  printTest(4, [str(0), str(0), str(0), str(0)])
  printTest(4, [str(0), str(0), str(0), str(1)])
  printTest(4, [str(0), str(0), str(0), str(2)])
  printTest(4, [str(0), str(0), str(0), str(3)])
  printTest(4, [str(0), str(0), str(1), str(0)])
  printTest(4, [str(0), str(0), str(1), str(1)])
  printTest(4, [str(0), str(0), str(1), str(2)])
  printTest(4, [str(0), str(0), str(1), str(3)])
  printTest(4, [str(0), str(0), str(2), str(0)])
  printTest(4, [str(0), str(0), str(2), str(1)])
  printTest(4, [str(0), str(0), str(2), str(2)])
  printTest(4, [str(0), str(0), str(2), str(3)])
  printTest(4, [str(0), str(1), str(0), str(0)])
  printTest(4, [str(0), str(1), str(0), str(1)])
  printTest(4, [str(0), str(1), str(0), str(2)])
  printTest(4, [str(0), str(1), str(0), str(3)])
  printTest(4, [str(0), str(1), str(1), str(0)])
  printTest(4, [str(0), str(1), str(1), str(1)])
  printTest(4, [str(0), str(1), str(1), str(2)])
  printTest(4, [str(0), str(1), str(1), str(3)])
  printTest(4, [str(0), str(1), str(2), str(0)])
  printTest(4, [str(0), str(1), str(2), str(1)])
  printTest(4, [str(0), str(1), str(2), str(2)])
  printTest(4, [str(0), str(1), str(2), str(3)])
  printTest(5, [str(0), str(0), str(0), str(0), str(0)])
  printTest(6, [str(0), str(1), str(0), str(0), str(0), str(0)])
  printTest(6, [str(0), str(1), str(2), str(3), str(4), str(5)])
  printTest(6, [str(0), str(1), str(0), str(1), str(3), str(4)])
  printTest(6, [str(0), str(0), str(2), str(1), str(1), str(4)])
  printTest(6, [str(0), str(1), str(0), str(3), str(2), str(4)])
  printTest(6, [str(0), str(0), str(2), str(0), str(4), str(0)])
  printTest(6, [str(0), str(1), str(2), str(3), str(0), str(5)])

if __name__ == "__main__":
  main()
